diff --git a/Makefile b/Makefile
index 1e34d3b..563e467 100644
--- a/Makefile
+++ b/Makefile
@@ -1,16 +1,16 @@
-CC=gcc
+CC?=gcc
 #CFLAGS=-Wall -Wstrict-prototypes -Werror -fPIC -DDEBUG -g -O0
-CFLAGS=-Wall -Wstrict-prototypes -Werror -fPIC
+CFLAGS+=-Wall -Wstrict-prototypes -fPIC
 LIBRARY=libnss_cache.so.2.0
 LINKS=libnss_cache.so.2 libnss_cache.so
-DESTDIR=/
-PREFIX=$(DESTDIR)/usr
+DESTDIR?=
+PREFIX?=$(DESTDIR)/usr
 BUILD=.libs
 BUILD64=.libs64
 BUILD32=.libs32
-LIBDIR=$(PREFIX)/lib
-LIBDIR64=$(PREFIX)/lib64
-LIBDIR32=$(PREFIX)/lib32
+LIBDIR?=$(PREFIX)/lib
+LIBDIR64?=$(PREFIX)/lib64
+LIBDIR32?=$(PREFIX)/lib32
 SONAME=libnss_cache.so.2
 LD_SONAME=-Wl,-soname,$(SONAME)
 TESTBIN=.testbin
@@ -97,17 +97,17 @@ install_amd64: install32
 nss_cache:
 	[ -d $(BUILD) ] || mkdir $(BUILD)
 	$(CC) $(CFLAGS) -c nss_cache.c -o $(BUILD)/nss_cache.o
-	$(CC) -shared $(LD_SONAME) -o $(BUILD)/$(LIBRARY) $(BUILD)/nss_cache.o
+	$(CC) $(LDFLAGS) -shared $(LD_SONAME) -o $(BUILD)/$(LIBRARY) $(BUILD)/nss_cache.o
 
 nss_cache64: nss_cache
 	[ -d $(BUILD64) ] || mkdir $(BUILD64)
 	$(CC) $(CFLAGS) -m64 -c nss_cache.c -o $(BUILD64)/nss_cache.o
-	$(CC) -m64 -shared $(LD_SONAME) -o $(BUILD64)/$(LIBRARY) $(BUILD64)/nss_cache.o
+	$(CC) $(LDFLAGS) -m64 -shared $(LD_SONAME) -o $(BUILD64)/$(LIBRARY) $(BUILD64)/nss_cache.o
 
 nss_cache32: nss_cache
 	[ -d $(BUILD32) ] || mkdir $(BUILD32)
 	$(CC) $(CFLAGS) -m32 -c nss_cache.c -o $(BUILD32)/nss_cache.o
-	$(CC) -m32 -shared $(LD_SONAME) -o $(BUILD32)/$(LIBRARY) $(BUILD32)/nss_cache.o
+	$(CC) $(LDFLAGS) -m32 -shared $(LD_SONAME) -o $(BUILD32)/$(LIBRARY) $(BUILD32)/nss_cache.o
 
 clean:
 	rm -rf $(BUILD)
